Capsule API Example

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
capsule::client::ClassificationEmotions Class Reference

Wrapper of ClassificationNFB class. More...

`#include <ClassificationEmotions.hpp>`

Inherits capsule::client::Classification.

## Public Types
enum class | CallResult : uint8_t { Success , FailedToSendData , ClassifierIsBusy }
Public Types inherited from capsule::client::Classification
enum class | ClassifierType : uint8_t { Cardio = 0 , Emotions = 1 , NFB = 1 << 1 , MEMS = 1 << 2 , Physiological = 1 << 4 , Productivity = 1 << 5 }

## Public Member Functions
| ClassificationEmotions (Device &owner)
void | SetOnEmotionalStatesUpdateEvent (std::function< void(ClassificationEmotions &, const emotions::EmotionalStates &)> &&callback)
void | SetOnErrorEvent (std::function< void(ClassificationEmotions &, const std::string &)> &&callback)
Public Member Functions inherited from capsule::client::Classification
bool | IsValid () const noexcept
| Classification (const Classification &)=delete
Classification & | operator= (const Classification &)=delete
| Classification (Classification &&rhs) noexcept
Classification & | operator= (Classification &&rhs) noexcept

## Additional Inherited Members
Protected Member Functions inherited from capsule::client::Classification
| Classification (std::unique_ptr< ClassificationPrivate > &&pimpl)
virtual | ~Classification ()
void | CheckValid () const
template<typename T >
T * | castImpl ()
template<typename T >
const T * | castImpl () const
Protected Attributes inherited from capsule::client::Classification
ClassificationPrivate * | m_pimpl

## Detailed Description

Wrapper of ClassificationNFB class.

Use it for metrics described in Metrics enumeration.

## Member Enumeration Documentation

## ◆ CallResult

enum class capsule::client::ClassificationEmotions::CallResult : uint8_t
| strong

Enumerator
Success | Call has finished successfully.
FailedToSendData | Failed to send data, session might not be active.
ClassifierIsBusy |

## Constructor & Destructor Documentation

## ◆ ClassificationEmotions()

capsule::client::ClassificationEmotions::ClassificationEmotions | ( | Device & | owner | ) |
| explicit

## Member Function Documentation

## ◆ SetOnEmotionalStatesUpdateEvent()

void capsule::client::ClassificationEmotions::SetOnEmotionalStatesUpdateEvent | ( | std::function< void(ClassificationEmotions &, const emotions::EmotionalStates &)> && | callback | ) |

## ◆ SetOnErrorEvent()

void capsule::client::ClassificationEmotions::SetOnErrorEvent | ( | std::function< void(ClassificationEmotions &, const std::string &)> && | callback | ) |

The documentation for this class was generated from the following file:

- C:/builds/bci/capsule/CapsuleClient/Include/ClassificationEmotions.hpp